GNU bug report logs - #43465
obs icons

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Adam Kandur <rndd@HIDDEN>; merged with #43263, #43556; dated Thu, 17 Sep 2020 10:34:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 43263 43465 43556. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43465 <at> debbugs.gnu.org:


Received: (at 43465) by debbugs.gnu.org; 19 Sep 2020 01:39:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 18 21:39:45 2020
Received: from localhost ([127.0.0.1]:45390 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJRqr-0005FU-Dm
	for submit <at> debbugs.gnu.org; Fri, 18 Sep 2020 21:39:45 -0400
Received: from zancanaro.com.au ([45.76.117.151]:37150)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlo@HIDDEN>) id 1kJRqo-0005FL-R4
 for 43465 <at> debbugs.gnu.org; Fri, 18 Sep 2020 21:39:43 -0400
Received: by zancanaro.com.au (Postfix, from userid 116)
 id DB381317A1; Sat, 19 Sep 2020 01:39:40 +0000 (UTC)
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on vultr
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=4.0 tests=ALL_TRUSTED,BAYES_00
 autolearn=unavailable autolearn_force=no version=3.4.2
Received: from jolteon (unknown [27.96.215.68])
 by zancanaro.com.au (Postfix) with ESMTPSA id C96C43179F;
 Sat, 19 Sep 2020 01:39:38 +0000 (UTC)
References: <MHQbxiv--3-2@HIDDEN> <87d02iiowu.fsf@HIDDEN>
 <20200919025515.4e27e581@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Carlo Zancanaro <carlo@HIDDEN>
To: raingloom <raingloom@HIDDEN>
Subject: Re: bug#43465: obs icons
In-reply-to: <20200919025515.4e27e581@HIDDEN>
Date: Sat, 19 Sep 2020 11:39:36 +1000
Message-ID: <87a6xmilyf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43465
Cc: 43465 <at> debbugs.gnu.org, Adam Kandur <rndd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Sep 19 2020, raingloom wrote:
> this is the one you need:
>> XDG_DATA_DIRS=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/share

If that's true, then my instinct that it was related to 
environment variables is wrong, because my user profile has 
XDG_DATA_DIRS pointing into the profile, and the icons don't load. 
That might imply that OBS is looking for something that one of its 
inputs is contributing to the build environment, but which isn't 
propagated propagate into the profile when it's installed.

Carlo




Information forwarded to bug-guix@HIDDEN:
bug#43465; Package guix. Full text available.

Message received at 43465 <at> debbugs.gnu.org:


Received: (at 43465) by debbugs.gnu.org; 19 Sep 2020 00:55:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 18 20:55:09 2020
Received: from localhost ([127.0.0.1]:45360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJR9h-00048Z-6f
	for submit <at> debbugs.gnu.org; Fri, 18 Sep 2020 20:55:09 -0400
Received: from mx1.riseup.net ([198.252.153.129]:52136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1kJR9e-00048N-7l
 for 43465 <at> debbugs.gnu.org; Fri, 18 Sep 2020 20:55:07 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4BtXL12c5LzFgTW;
 Fri, 18 Sep 2020 17:55:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1600476905; bh=XGSkazGdUxYNe29FNYhX0BGw9WAkRAtktja8KSatBk8=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=T5Ch9RpWZQhD7nV8LuwsiWtHu2OnalaCQ9DGwqlWN5z2590LR8k7tSlKPoGBUmDFw
 6Q6NtLp4BXZ86ASb3J1vo2PLUq5uECrEbqB4X4j6beFLWAjSDRGdahVBgplLCKZN4h
 AstOjw+j9r12iao9KW4XT9G4LnLxiz+81dqRb5dw=
X-Riseup-User-ID: A1B14A199D75E50ACA0308D1E0B0D50899A0CC2DE9AA1B664ACABFBEA518CB00
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 4BtXL00hGXzJp3X;
 Fri, 18 Sep 2020 17:55:03 -0700 (PDT)
Date: Sat, 19 Sep 2020 02:55:15 +0200
From: raingloom <raingloom@HIDDEN>
To: Carlo Zancanaro <carlo@HIDDEN>
Subject: Re: bug#43465: obs icons
Message-ID: <20200919025515.4e27e581@HIDDEN>
In-Reply-To: <87d02iiowu.fsf@HIDDEN>
References: <MHQbxiv--3-2@HIDDEN>
	<87d02iiowu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43465
Cc: 43465 <at> debbugs.gnu.org, Adam Kandur <rndd@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, 19 Sep 2020 10:35:45 +1000
Carlo Zancanaro <carlo@HIDDEN> wrote:

> On Thu, Sep 17 2020, Adam Kandur via Bug reports for GNU Guix 
> wrote:
> > when i install obs in my user profile and run it - it runs but 
> > without any icons.  
> 
> I can confirm this happens on my machine, too.
> 
> > but if i run it from obs env - it works with all fancy icons.  
> 
> I didn't know this, though. I just tested on my machine and found 
> that:
> 
>  - "guix environment --ad-hoc obs -- obs" does not have icons
>  - "guix environment obs --ad-hoc obs -- obs" has icons
> 
> I don't have time to dig into why right now, but I'm curious as to 
> what's going wrong. I assume it's to do with an environment 
> variable of some sort. Here is the output of "env" on my machine 
> in the two environments (removing DISPLAY, TERM, USER, HOME, and 
> LOGNAME).
> 
> $ guix environment --pure obs --ad-hoc obs -- env
> PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/bin:/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/sbin
> CMAKE_PREFIX_PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/
> PKG_CONFIG_PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/lib/pkgconfig:/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/share/pkgconfig
> QMAKEPATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/lib/qt5
> QT_PLUGIN_PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/lib/qt5/plugins
> XDG_DATA_DIRS=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/share
> ...

this is the one you need:
> XDG_DATA_DIRS=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/share




Information forwarded to bug-guix@HIDDEN:
bug#43465; Package guix. Full text available.

Message received at 43465 <at> debbugs.gnu.org:


Received: (at 43465) by debbugs.gnu.org; 19 Sep 2020 00:35:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 18 20:35:52 2020
Received: from localhost ([127.0.0.1]:45356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJQr2-0003fW-Ih
	for submit <at> debbugs.gnu.org; Fri, 18 Sep 2020 20:35:52 -0400
Received: from zancanaro.com.au ([45.76.117.151]:57298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlo@HIDDEN>) id 1kJQr0-0003fN-N0
 for 43465 <at> debbugs.gnu.org; Fri, 18 Sep 2020 20:35:51 -0400
Received: by zancanaro.com.au (Postfix, from userid 116)
 id 9A6C43179E; Sat, 19 Sep 2020 00:35:48 +0000 (UTC)
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on vultr
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=4.0 tests=ALL_TRUSTED,BAYES_00
 autolearn=unavailable autolearn_force=no version=3.4.2
Received: from jolteon (unknown [27.96.215.68])
 by zancanaro.com.au (Postfix) with ESMTPSA id EE1E431798;
 Sat, 19 Sep 2020 00:35:46 +0000 (UTC)
References: <MHQbxiv--3-2@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Carlo Zancanaro <carlo@HIDDEN>
To: Adam Kandur <rndd@HIDDEN>
Subject: Re: bug#43465: obs icons
In-reply-to: <MHQbxiv--3-2@HIDDEN>
Date: Sat, 19 Sep 2020 10:35:45 +1000
Message-ID: <87d02iiowu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43465
Cc: 43465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Sep 17 2020, Adam Kandur via Bug reports for GNU Guix 
wrote:
> when i install obs in my user profile and run it - it runs but 
> without any icons.

I can confirm this happens on my machine, too.

> but if i run it from obs env - it works with all fancy icons.

I didn't know this, though. I just tested on my machine and found 
that:

 - "guix environment --ad-hoc obs -- obs" does not have icons
 - "guix environment obs --ad-hoc obs -- obs" has icons

I don't have time to dig into why right now, but I'm curious as to 
what's going wrong. I assume it's to do with an environment 
variable of some sort. Here is the output of "env" on my machine 
in the two environments (removing DISPLAY, TERM, USER, HOME, and 
LOGNAME).

$ guix environment --pure obs --ad-hoc obs -- env
PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/bin:/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/sbin
CMAKE_PREFIX_PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/
PKG_CONFIG_PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/lib/pkgconfig:/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/share/pkgconfig
QMAKEPATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/lib/qt5
QT_PLUGIN_PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/lib/qt5/plugins
XDG_DATA_DIRS=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/share
XDG_CONFIG_DIRS=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/etc/xdg
C_INCLUDE_PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/include
CPLUS_INCLUDE_PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/include/c++:/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/include
LIBRARY_PATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/lib
GUIX_LOCPATH=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile/lib/locale
GUIX_ENVIRONMENT=/gnu/store/79d2a2zqgyg0zgvkfw2hq6k4vj1qbf41-profile

$ guix environment --pure --ad-hoc coreutils --ad-hoc obs -- env
PATH=/gnu/store/ylim73lin9v56d2dalk8q4a53r6ji53a-profile/bin
GUIX_ENVIRONMENT=/gnu/store/ylim73lin9v56d2dalk8q4a53r6ji53a-profile

Carlo




Information forwarded to bug-guix@HIDDEN:
bug#43465; Package guix. Full text available.
Merged 43263 43465. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Sep 2020 10:33:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 06:33:08 2020
Received: from localhost ([127.0.0.1]:37391 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIrDw-0006vn-7T
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 06:33:08 -0400
Received: from lists.gnu.org ([209.51.188.17]:43772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rndd@HIDDEN>) id 1kIrDt-0006vf-Gi
 for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 06:33:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37116)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rndd@HIDDEN>) id 1kIrDt-0007n8-8M
 for bug-guix@HIDDEN; Thu, 17 Sep 2020 06:33:05 -0400
Received: from w4.tutanota.de ([81.3.6.165]:37502)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rndd@HIDDEN>) id 1kIrDr-0006FM-MN
 for bug-guix@HIDDEN; Thu, 17 Sep 2020 06:33:04 -0400
Received: from w3.tutanota.de (unknown [192.168.1.164])
 by w4.tutanota.de (Postfix) with ESMTP id AAB7110603C4
 for <bug-guix@HIDDEN>; Thu, 17 Sep 2020 10:32:59 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1600338779; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Content-Transfer-Encoding:Cc:Date:Date:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:Sender;
 bh=xbYDBt+Y6mpmmsyLG9BbSVlinlCZAX1ruH1UZmJbYGY=;
 b=UplMKz8ahf0sehV94BS59MHk9XVsf63sOapRQkNNrIG0S+UoWnv66TUy81HwlHNu
 qUuVb2PB2FZXMZ03AWO9Kq54/BMhQTi/cjOBieB4vFXvBqc+G5J6S72Bw7EjN/BYO9D
 wIpWOtl7+LHCMDE0Krv1+Ob07r0alcdJ4llEUPrsZpiaCY1I84GEcfGAJ92twwTgFNW
 e9E7QxpVTszbLYlbm5Ie+xJ0PRoWoLKQ1W+72mMdSyQVraTPj7PBBD9o+1hxGWjd43L
 h9i43P32qxtwXIilqz0sZkAM4nA0+Qs0VRiLHfB9GTXddkAGMMHFPCkCBX/x/OddAge
 808Yiun5Bw==
Date: Thu, 17 Sep 2020 12:32:59 +0200 (CEST)
From: Adam Kandur <rndd@HIDDEN>
To: Bug Guix <bug-guix@HIDDEN>
Message-ID: <MHQbxiv--3-2@HIDDEN>
Subject: obs icons
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=81.3.6.165; envelope-from=rndd@HIDDEN;
 helo=w4.tutanota.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/17 06:32:59
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

hi everyone! tried to use obs in guix system. it has (as i think) a problem. when i install obs in my user profile and run it - it runs but without any icons. but if i run it from obs env - it works with all fancy icons.





Acknowledgement sent to Adam Kandur <rndd@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#43465; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 22 Sep 2020 15:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.